---
BasedOnStyle: WebKit
AccessModifierOffset: "-4"
AlignAfterOpenBracket: Align
AlignEscapedNewlines: Left
AlignOperands: true
AllowShortBlocksOnASingleLine: Empty
AllowShortCaseLabelsOnASingleLine: false
AllowShortIfStatementsOnASingleLine: Never
AllowShortLoopsOnASingleLine: false
BreakBeforeBinaryOperators: NonAssignment
BreakBeforeBraces: Allman
BreakBeforeTernaryOperators: false
BreakInheritanceList: BeforeComma
BreakStringLiterals: false
ColumnLimit: "120"
CommentPragmas: .*
ContinuationIndentWidth: "0"
DerivePointerAlignment: true
EmptyLineBeforeAccessModifier: Always
IncludeBlocks: Merge
IndentCaseLabels: true
IndentPPDirectives: BeforeHash
IndentWidth: "4"
IndentWrappedFunctionNames: true
InsertBraces: true
KeepEmptyLinesAtEOF: true
KeepEmptyLinesAtTheStartOfBlocks: false
MaxEmptyLinesToKeep: "2"
NamespaceIndentation: All
ObjCSpaceAfterProperty: false
ObjCSpaceBeforeProtocolList: false
PackConstructorInitializers: NextLine
PenaltyBreakAssignment: 20
ReflowComments: false
SortIncludes: Never
SortUsingDeclarations: Never
SpaceAfterCStyleCast: true
SpaceAfterTemplateKeyword: false
SpaceBeforeRangeBasedForLoopColon: false
SpaceInEmptyBlock: false
SpacesInAngles: false
SpacesInContainerLiterals: false
Standard: Cpp11
TabWidth: "4"
UseTab: ForIndentation
AllowAllConstructorInitializersOnNextLine: true
ConstructorInitializerAllOnOneLineOrOnePerLine: false
SpaceInEmptyParentheses: false
SpacesInCStyleCastParentheses: false
SpacesInParentheses: false
